function result = plot_CGM_edge(model_)
for i = 1:5
    model = model_{i};
%     result.hamming_loss(i,:) = model.result.HammingLoss;
    result.HammingLoss(i,:) = model.result.HammingLoss;
    result.Macro_F1(i,:) = model.result.Macro_F1;
    result.Micro_F1(i,:) = model.result.Micro_F1;
    result.Precision_all(i,:) = model.result.Precision_all;
    result.Recall_all(i,:) = model.result.Recall_all;
end

    result.mean_HammingLoss = mean(result.HammingLoss,1);
    result.mean_Macro_F1 = mean(result.Macro_F1,1);
    result.mean_Micro_F1 = mean(result.Micro_F1,1);
    result.mean_Precision_all = mean(result.Precision_all,1);
    result.mean_Recall_all = mean(result.Recall_all,1);
    
    result.std_HammingLoss = std(result.HammingLoss,1);
    result.std_Macro_F1 = std(result.Macro_F1,1);
    result.std_Micro_F1 = std(result.Micro_F1,1);
    result.std_Precision_all = std(result.Precision_all,1);
    result.std_Recall_all = std(result.Recall_all,1);
    
    num_ber_edge = 2*[1:size(result.mean_HammingLoss,2)];
errorbar(num_ber_edge,result.mean_HammingLoss,result.std_HammingLoss, '-or','linewidth', 2, 'markersize',13);
box on 
grid on
grid
box on
% legend('Hamming Loss','NE')
axis([0 19 result.mean_HammingLoss(end)-0.001 result.mean_HammingLoss(1)+0.001])
grid
box on
set(gca,'FontSize',13); 
xlabel('# added edges','FontSize',14)
ylabel('Hamming Loss','FontSize',14);    


    figure
    errorbar(num_ber_edge,result.mean_Macro_F1,result.std_Macro_F1, '-dc','linewidth', 2, 'markersize',13);
        hold on
    errorbar(num_ber_edge,result.mean_Micro_F1,result.std_Micro_F1, '-sb','linewidth', 2, 'markersize',13);
%         hold on
%     errorbar(num_ber_edge,result.mean_Precision_all,result.std_Precision_all, '-dc','linewidth', 2);
        hold on
    errorbar(num_ber_edge,result.mean_Recall_all,result.std_Recall_all, '-^m','linewidth', 2, 'markersize',13);
    
    
     
    
axis([0 19 0.48 0.95])

box on 
grid on
grid
box on
legend('Macro-F1','Micro-F1','Recall', 'Location','NE')
% axis([0 300 0.53 obj_hist_chowliu(1)])
grid
box on
set(gca,'FontSize',13); 
xlabel('# added edges','FontSize',14)
ylabel('Value','FontSize',14);    